Bug 974048 - stringpool damage causing memory usage to rise sharply
stringpool damage causing memory usage to rise sharply
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On: 884851
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 06:54 EDT by Tim Waugh
Modified: 2013-11-07 08:31 EST (History)
2 users (show)

See Also:
Fixed In Version: cups-1.5.4-28.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-16 02:10:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rdar1538219.patch (upstream fix) (2.75 KB, patch)
2013-11-07 08:31 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2013-06-13 06:54:37 EDT
Description of problem:
cupsSetPrinterAttr() modifies a string from the stringpool, causing it to become out of order and cause excessive memory usage.

Version-Release number of selected component (if applicable):
All versions.

How reproducible:
Not sure how to trigger it.
Comment 1 Fedora Update System 2013-06-13 11:08:26 EDT
cups-1.6.2-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cups-1.6.2-9.fc19
Comment 2 Fedora Update System 2013-06-13 11:12:47 EDT
cups-1.5.4-28.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cups-1.5.4-28.fc18
Comment 3 Fedora Update System 2013-06-13 14:08:46 EDT
Package cups-1.6.2-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.6.2-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10790/cups-1.6.2-9.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-16 02:10:56 EDT
cups-1.6.2-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-07-11 23:04:28 EDT
cups-1.5.4-28.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Tim Waugh 2013-11-07 08:31:16 EST
Created attachment 821103 [details]
rdar1538219.patch (upstream fix)

Note You need to log in before you can comment on or make changes to this bug.